<?php

namespace FiloBlu\Newsletter\Block\Account\Newsletter;

class AdditionalFields extends \Magento\Framework\View\Element\Template {

    /**
     * Helper
     *
     * @var \FiloBlu\Newsletter\Helper\Data
     */
    public $_helper;

    /**
     * @var \Magento\Customer\Model\Session
     */
    public $_customerSession;

    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context, array $data = [], \FiloBlu\Newsletter\Helper\Data $helper, \Magento\Customer\Model\Session $customerSession
    ) {
        $this->_helper = $helper;
        $this->_customerSession = $customerSession;
        parent::__construct($context, $data);
    }

    protected function _toHtml() {

        if (!$this->_helper->getConfig("general/enabled")) {
            return "";
        } else {
            return parent::_toHtml();
        }
    }

}
